Nfc tags

Reserve NFC Tap (POS)

POST
/orgs/{organizationId}/nfc-tags/tap

Reserve an NFC POS tap. amount is required in euros (negative = charge, positive = top-up). Requires nfc-tags:pos:charge or nfc-tags:pos:top-up matching the sign.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
transactionId?string
Length1 <= length <= 100
tapId*string
Length1 <= length <= 100
tag*string
Match^[A-Z0-9]+$
Length1 <= length
amount*number
Range-1000000 < value < 1000000
requiresCardWrite?boolean
occurredAt?string
Formatdate-time
cardBalance?number
Range-1000000 < value < 1000000
installationId?string
Length1 <= length <= 200
description?|null

Response Body

OK

application/json
  1. response
curl -X POST 'https://api.tillor.eu/orgs/string/nfc-tags/tap' \  -H 'Content-Type: application/json' \  -d '{  "tapId": "string",  "tag": "string",  "amount": -999999}'
null